L(3)

NAME
L - generate logging messages in C and C++.

SYNOPSIS
#include <L.h> L(format,...) LG(guard,format,...) LH(handler,format,...) LP(param,format,...) LGH(guard,handler,format,...) LHP(handler,param,format,...) LGHP(guard,handler,param,format,...)

DESCRIPTION
The L macro is used to print logging or debugging messages. format,... - a printf(3) style argument list containing the message guard - print only if the guard is true. handler - the code that does the printing, e.g. support is provided for sending log messages to a circular buffer. param - a parameter to be passed off to the handler, e.g. a file descriptor. See nana.info for details on configuring the behaviour. You also need to include the nana library by using -lnana if you use the default setup.

SEE ALSO
nana-clg(1), nana(1), nana(3), I(3), DI(3), L(3), DL(3), Q(3) and nana.info. The nana.info file is the primary documentation for this package.

AUTHOR
Phil Maker <pjm@gnu.org>